| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Iterable (JSON) |
GET /srv/projects/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{ }
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | map of object (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
POST /srv/projects/{usecase_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "NPM",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "EMBARGOED",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "OK",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "NPM",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Configuration (JSON) |
GET /srv/projects/{usecase_id}/configuration
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"indexes" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"errorMessages" : [ "...", "..." ],
"last_updated_time" : "...",
"status" : "OK",
"context" : "...",
"warningMessages" : [ "...", "..." ],
"profile_id" : "...",
"archives" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ]
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | string (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Iterable (JSON) |
POST /srv/projects/{usecase_id}/query
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{ }
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | string (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /srv/projects/{usecase_id}/search
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | |||
| usecase_id | path | |||
| force | query | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | boolean (JSON) |
DELETE /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
GET /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "IVY",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "EMBARGOED",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "ERROR",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | map of object (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "OK",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
Delete file set. the Authorization must be a VRE token
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | VRE Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | the id | ||
| usecase_id | path | |||
| force | query | the force | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) | the path must be passed as text in the body |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
POST /srv/projects/{usecase_id}/deleteFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "RESTRICTED",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "OK",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/forceUnlock/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "IVY",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "RESTRICTED",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "ERROR",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "STRICT",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | RegisterFileSetRequest (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
POST /srv/projects/{usecase_id}/registerFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"clashOption" : "APPEND",
"streams" : [ {
"filename" : "...",
"url" : "...",
"id" : "..."
}, {
"filename" : "...",
"url" : "...",
"id" : "..."
} ],
"fieldName" : "...",
"toSetAccess" : {
"_policy" : "OPEN",
"_license" : "..."
},
"attributes" : {
"property1" : { },
"property2" : { }
},
"parentPath" : "...",
"fieldDefinitionPath" : "..."
}
HTTP/1.1 201 Created
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "STRICT",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "EMBARGOED",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "OK",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "NPM",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | Access (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/setAccess/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"_policy" : "EMBARGOED",
"_license" : "..."
}
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "RESTRICTED",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "OK",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | StepExecutionRequest (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
POST /srv/projects/{usecase_id}/step/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"options" : {
"property1" : { },
"property2" : { }
},
"stepID" : "..."
}
HTTP/1.1 201 Created
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "IVY",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "WARNING",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "LOOSE",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| relationship_id | path | |
| usecase_id | path | |
| target_id | query | |
| target_ucd | query |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
DELETE /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "COCOAPODS",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "EMBARGOED",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "ERROR",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "NPM",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | |||
| relationship_id | path | |||
| usecase_id | path | |||
| deep | query | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
GET /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| relationship_id | path | |
| usecase_id | path | |
| target_id | query | |
| target_ucd | query |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_version" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "STRICT",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
}
},
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_lifecycleInformation" : {
"_warningMessages" : [ "...", "..." ],
"_lastOperationStatus" : "OK",
"_phase" : "...",
"_lastInvokedStep" : "...",
"_notes" : "...",
"_errorMessages" : [ "...", "..." ],
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK"
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"warningMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR"
} ]
},
"_lock" : {
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_operation" : "...",
"_id" : "..."
},
"_id" : "...",
"_profileVersion" : {
"stable" : true,
"patch" : 12345,
"minor" : 12345,
"originalValue" : "...",
"build" : "...",
"value" : "...",
"type" : "NPM",
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
}
}